Get a list of custom fields

Query Parameters
  • filter[search]
    Type: string

    Search by name

  • filter[model_type]
    Type: string

    Filter by model type

  • filter[target_model_types]
    Type: string

    Filter by target model types

  • filter[service_ids]
    Type: string

    Filter by associated service IDs

  • sort
    Type: string

    Allowed: order_index, name, created_at

  • page[number]
    Type: integer

    Integer numbers.

  • page[size]
    Type: integer

    Integer numbers.

  • o
    Type: string

    Organization ID

Responses
  • application/vnd.api+json
Request Example for get/api/v1/custom-fields
curl 'https://b.anny.co/api/v1/custom-fields?filter%5Bsearch%5D=&filter%5Bmodel_type%5D=&filter%5Btarget_model_types%5D=&filter%5Bservice_ids%5D=&sort=&page%5Bnumber%5D=1&page%5Bsize%5D=1&o='
{
  "data": [
    {
      "id": "string",
      "type": "customfields",
      "attributes": {
        "name": "string",
        "description": null,
        "field_type": "text",
        "required": true,
        "display_in_checkout": true,
        "options": [],
        "default_value": null,
        "order_index": 1,
        "custom_validation": null
      },
      "links": {
        "self": "https://example.com"
      }
    }
  ],
  "meta": {},
  "links": {}
}